Bug 142077 - "chown" can not run properly.
"chown" can not run properly.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: man-pages-ja (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Alexandre Petit-Bianco
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 00:32 EST by L3support
Modified: 2013-01-10 16:41 EST (History)
10 users (show)

See Also:
Fixed In Version: man-pages-ja-20041215-1.EL4.0.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 21:50:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description L3support 2004-12-07 00:32:42 EST
Description of problem:

When we change file(symbolic link) owner using "chmod" on RHEL4-Beta2,
the results differ from RHEL3.

 (1) file(symbolic link) to non-existing file.
     - RHEL3: Sucess
     - RHEL4: Failure

 (2) file(symbolic link) to existing file.
     - RHEL3: File(symbolic link) is changed.
     - RHEL4: Reference file is changed.

Does "chown" run properly on RHEL4 ?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

= (1) ===================
1.# ln -s a b
    -- a: non-exiting file
2.# chown guest b 
3.

Result(RHEL4):
chown: changing ownership of `b': No such file or directory
 
= (2) ===================
1.# ln -s a b
    -- a: exiting file
2.# chown guest b 
3.

Result(RHEL4):
-rw-r--r--  1 guest   root       0 Dec  7 14:23 a
lrwxrwxrwx  1 root    root       1 Dec  7 14:16 b -> a


Actual results:
"chown" can not run properly.

Expected results:
 - "chown" can run properly.
 - Which OS is the problem ?

Additional info:
Comment 1 Jay Turner 2004-12-07 05:53:33 EST
In RHEL4, 'chown' by default dereferences symlinks, which is why you are seeing
the results posted above.  Passing either '-h' or '--no-dereference' will cause
the behavior that you desire above.
Comment 2 L3support 2004-12-20 03:36:22 EST
Thank you for your comment.

We think your comment is right.
(we checked man page)

But we checked man page(Japanese),
It is indicated as follows.(in Japanese)
---------------------------------------------
-h, --no-dereference
 ..(omit)... This is default. .....(omit)....
---------------------------------------------

Would you modify man page(Japanese) ?
Comment 5 L3support 2005-01-05 03:58:06 EST
Could you tell me the status of problem ?
Comment 6 Akira TAGOH 2005-01-05 05:09:47 EST
Well, it's manpages-ja fault so that it was packaged the different version of
manpage for chown, but not for GNU fileutils.
Comment 7 RHEL4-L3support 2005-01-18 20:57:15 EST
Add RHEL4-L3support team in Japan
Comment 9 Akira TAGOH 2005-01-24 00:57:34 EST
Well, it's just waiting for the approval of errata. it will be closed when the
errata of this will be pushed. for the reference, it's RHBA-2005:029.
Comment 11 Lawrence Lim 2005-03-02 21:50:51 EST
Resolving bug. The content of man-pages-ja has been updated and it is now in
dist-U1.

Old version:
       -h, --no-dereference
              指している先ではなく、シンボリックリンクそれ自身を変更する。こ
              れがデフォルトである。 lchown(2) が提供されていない場合、chown
              は失敗する。再帰的に処理している時にシンボリックリンクを見付け
              て も、 --verbose が指定されていない場合、エラーメッセージは出
              力されない。

Latest-version:
       -h, --no-dereference
              指している先ではなく、シンボリックリンクそれ自身を変更する。 (
              シンボリックリンクの所有権を変更できるシステムの場合のみ有効)
+
Comment 12 John Flanagan 2005-04-28 11:35:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-041.html

Note You need to log in before you can comment on or make changes to this bug.